/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Myocardium Mass Methods 
 */
public enum EnumCV_MyocardiumMassMethods 
{
	// Myocardium Mass Methods  - CID 12232
	LEFT_VENTRICLE_MASS_BY_M_MODE_125221("125221"),
	LEFT_VENTRICLE_MASS_BY_TRUNCATED_ELLIPSE_125222("125222"),
	LEFT_VENTRICLE_MASS_BY_AREA_LENGTH_125270("125270"),
	LEFT_VENTRICLE_MASS_BY_M_MODE__ADJUSTED_BY_HEIGHT_125271("125271"),
	LEFT_VENTRICLE_MASS_BY_TRUNCATED_ELLIPSE__ADJUSTED_BY_HEIGHT_125272("125272"),
	LEFT_VENTRICLE_MASS_BY_AREA_LENGTH__ADJUSTED_BY_HEIGHT_125273("125273");	

	private String value;
	
	EnumCV_MyocardiumMassMethods(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
